Subject: "Final link failed: permission denied" during link?
From: [email-masked] (Brian P Kasper)

13 Mar 1998 06:20:02 -0800
Message-ID: <0533C350731F602C*/c=us/admd=0/prmd=aero/o=notes/s=Kasper/g=Brian/i=P/.cygnus.gnu-win32@MHS>
To: [email-masked]

Greetings.

I'm having a strange problem linking executables with X11R6.3 and Lesstif
(Under Windows NT 4.0 sp3 with an NTFS file system).

As far as I can tell, I've installed the X libs properly, and Lesstif compiled
under B19.1 without insurmountable errors.  I think I have all the libs
I need, but whenever I try to link my test program, I see the following:

  test 509 $ make

  Linking nt/test.exe ...

  gcc.exe  -O -L/zuul/people/local/lib/nt -L/zuul/usr/X11/lib  -o nt/test.exe 
nt/t
  est.o -lXm -lX11
 
  /zuul/cygnus/b19/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: final link failed: 
Pe
  rmission denied
  make: *** [nt/test.exe] Error 1

I have an object file named test.o in a subdirectory named 'nt'.  I am the owner
of both the current directory and the nt subdirectory, and I can 'touch' a file
in the nt subdirectory, so I believe I have write permission there.  Here's what
ls -asl shows:

  test 510 $ ls -asl nt
  total 1
     0 drwxr-xr-x   3 1000     everyone        0 Mar 11 15:38 .
     0 drwxr-xr-x   8 544      everyone        0 Mar 11 15:38 ..
     1 -rw-rw-rw-   1 1000     everyone     1210 Mar 11 13:09 test.o
  test 511 $

I tried using 'chmod ugo+rwx *' to give myself (and everyone) permission to
do any damn thing they wanted to in this directory, but the problem
persists.  I'm not even sure what permission is being denied me, though I
suspect it's write permission.

Does anyone have any ideas?  I think I'm tantalizingly close to being
able to compile and link X11/lesstif code under WinNT.

Thanks in advance ....

-Brian Kasper
 [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".